Actualizar de la versión 2.0 a la 2.9.2

Inicio Foros WordPress Instalación / Actualización Actualizar de la versión 2.0 a la 2.9.2

Este debate contiene 5 respuestas, tiene 5 mensajes y lo actualizó  Hong hace 8 años, 1 mes.

  • Autor
    Publicaciones
  • #17108

    asantoscope
    Participante

    <p>Hola,<br />
    tengo instalada la versión 2.0 y quiero actualizarla a la 2.9.2. Mi duda es si puedo instalar de golpe la 2.9.2 (eliminando los archivos anteriores) o hay que ir instalando versiones intermedias para que no dé ningún problema.</p>
    <p>gracias
    </p>

  • #41028

    fum
    Participante

    Hola, probablemente tu pregunta ya se haya respondido muchas veces, usaste el buscador?

    De todos modos te contesto lo que puedo, estoy lejos de tener conocimientos sólidos:
    Probablemete más que actualizar desde tan atrás te convenga bajar todo el WP-Content, hacer un respaldo de la base de datos, quitar el WP 2 del servidor, instalar WP 2.9.2, subir el Wp-Content anterior, importar la base de datos, y editar el wp-config.php y completar los que corresponden; si la url es la misma que antes debería funcionar. [url=https://ayudawp.com/foro/topic/exportar-sitio]En este hilo[/url]tenés algo relacionado.

    Saludos, y cuento con que si estoy aconsejando mal, me corregirán …!

  • #41052

    imported_Fernando
    Participante

    El hilo que le propones es demasiado, es más para migrar sitios.

    Lo que pide asantoscope lo he hecho varias veces y lo más seguro es este proceso:

    – Crea una carpeta de prueba en tu mismo servidor (importante), por ejemplo /test/
    – Instala ahí la misma versión de WP que uses actualmente (2.0, por ejemplo). Las tienes todas [url=http://wordpress.org/download/release-archive/]aquí[/url]. Por supuesto, crea una base de datos o usa la misma actual pero con prefijo de tablas distinto (para borrar las tablas una vez termines la prueba).
    – Carga ahí tu theme y plugins (el contenido no es relevante en una migración, no así los componentes que pueden provocar interferencias por funciones abandonadas
    – Crea unos cuantos posts de prueba para ver resultados más que nada, activa los plugins y el theme actual.
    – Actualiza a 2.9.2
    – Si todo va bien ya sabes que puedes actualizar sin problemas

    Lo que suele dar pegas es … 

    – El theme, que use funciones antiguas. Puede que de problemas o que simplemente no incorpore ciertas novedades (taxonomía, comentarios anidados, etc). En el blog tienes como añadir este tipo de cosas.
    – Los plugins, que necesiten actualizarse
    – Tu servidor (por eso lo de hacerlo en tu servidor) porque use versiones antiguas de PHP o mySQL que, en la versión vigente no den problemas pero si al actualizar.

    Por lo demás no suele haber mayor problema

  • #41054

    imported_j.conti
    Participante

    También, una vez que actualices, deberás revisar el archivo wp-config.php

    Deberás añadir varias cosas, simplemente mira la diferencia entre tu archivo actual y el archivo wp-config-sample.php que te habrás descargado de la versión 2.9.2

  • #41112

    fum
    Participante

    Pues tomo nota, gracias!

  • #41662

    Hong
    Participante

    159321abc

El foro ‘Instalación / Actualización’ está cerrado y no se permiten nuevos debates ni respuestas.

Pin It on Pinterest